@import "w_style.css";
/* 登录页 */
.index-main{
	align-items: center;
}
.login-form{
		width: 400px;
}
.login-form .logo{
	text-align: center;
	padding-bottom: 15px;
}
.login-form .inp_i{ 
	position: absolute;
	left: 0;
	top: 50%;
	transform: translateY(-50%);
	font-size: 36px;
	color: #999;
} 
.login-form.first-page{
	display: flex;
	flex-direction: column;
	justify-content: center;
	flex: 1;
	padding-bottom: 155px;
}
.login-form .login-inp{
	position: relative;
	margin-top: 26px;
	border-bottom: 1px solid #999;
}
.login-form .login-inp input{
	padding-left: 67px;
	margin-bottom: 0;
	height: 66px;
	border: 0;
	font-size: 24px;
	color: #fff;
	background: transparent;
}

.pop-select.active .hm-angle-down{
	transform: rotate(-180deg);
}
.login-form .mui-table-view:before,.login-form .mui-table-view:after
{
    height: 0;
}
.login-form .subbtn{
	margin-top: 30px;
	height: 72px;
	font-size: 26px;
	text-align: center;
	border: 0;
	border-radius: 8px;
	color: #fff;
	background-color: #4d88c4;
	width: 100%;
}
.foot-tips{
	width: 100%;
	text-align: center;
	font-size: 20px;
	color: #ccc;
	margin-bottom: 30px;
}
/* 餐厅选择列表 */
.res-list{
		margin: 0;
		padding: 50px 30px;
	}
	.res-list li{
		display: flex;
		display: -webkit-flex;
		margin-bottom: 50px;
	}
	.res-list .res-nav{
		display: flex;
		display: -webkit-flex;
		flex: 1;
		-webkit-flex:1;
		align-items: center;
		-webkit-align-items:center;
		justify-content: center;
		padding:  0 50px;
		text-align: center;
		font-size: 30px;
		color: #fff;
		border-radius: 8px;
		background-color: #4d88c4;
		height: 120px;
	}
	.res-list .res-nav .name{
		line-height: 36px;
	}
	.res-list .set-default{
		margin-left: 70px;
		width: 158px;
		height: 120px;
	}
/* 餐厅页面-start */
/* 筛选按钮 */
.filter-scrollX{
	padding: 20px 0;
	background-color: #333e50;
}
.filter-scrollX .filter-bar{
	position: relative;
	height: 78px;
	width: 100%;
	box-sizing: border-box;
}
.filter-scrollX .scroll-btn{
	padding: 10px 20px;
	display: inline-block;
	font-size: 0;
	white-space: nowrap;
}
.filter-scrollX .scroll-btn .li-btn{
	display: inline-block;
	margin: 0 10px;
	height: 58px;
	text-align: center;
	width: 110px;
	font-size: 22px;
	line-height: 46px;
	background-color: transparent;
	color: #fff;
	transition-duration: 0.1s;
	border-color: #fff;
}
.filter-scrollX .scroll-btn .li-btn.active{
	background-color: #fff;
	color: #333e50;
	font-weight: bold;
}
/* 餐桌列表 */
.table-wrap{
	position: relative;
	flex: 1;
	-webkit-flex: 1;
}
.table-list{
	padding: 15px;
	box-sizing: border-box;
}
.table-list .tb-li{
	float: left;
	position: relative;
	display: flex;
	display: -webkit-flex;
	align-items: center;
	-webkit-align-items: center;
	justify-content: center;
	-webkit-justify-content: center;
	margin: 12px;
	width: 160px;
	height: 160px;
	padding:0 12px;
	box-sizing: border-box;
	color: #fff;
	border-radius: 8px;
	border: 3px solid transparent;
}
.table-list .tb-li:before{
	content: '';
	position: absolute;
	border-radius: 5px;
	background-color: #4d88c4;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	pointer-events: none;
}
.table-list .tb-li .tb-num,
.table-list .tb-li .top-line,
.table-list .tb-li .bot-line{
	z-index: 3;
}
.table-list .tb-li .tb-num{
	position: relative;
	font-size: 24px;
	display: inline-block;
	line-height: 1;
	font-weight: bold;
	pointer-events: none;
}
.table-list .tb-li .top-line{
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	padding: 6px;
	pointer-events: none;
}
.table-list .tb-li .top-line .hm-ok{
	display: none;
	float: right;
	top: 0;
	width: 24px;
	height: 24px;
	text-align: center;
	font-size: 16px;
	line-height: 24px;
	border-radius: 50%;
	color: #e86668;
	background-color: #fff;
}
.table-list .tb-li .left-i{
	float: left;
	position: relative;
	font-size: 20px;
	line-height: 1;
}
.table-list .tb-li .left-i i{
	float: left;
	margin-top: 4px;
}
.table-list .tb-li .no-clear{
	float: left;
	display: block;
	line-height: 24px;
    padding: 0 4px;
	background-color: #fff;
	font-size: 14px;
	border-radius: 4px;
	color: #e86668;
}
.table-list .tb-li .no-clear i{
	float: none;
	margin-right: 3px;
	top: -2px;
	margin-top: 0;
}
.table-list .tb-li .bot-line{
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	padding: 10px 12px;
	font-size: 16px;
	line-height: 18px;
	pointer-events: none;
}
.table-list .tb-li .situation{
	width: 100%;
	box-sizing: border-box;
}
.table-list .tb-li .situation span{
	display: inline-block;
	text-overflow: ellipsis;
	vertical-align: top;
	}
.table-list .tb-li .situation .bd{
	margin: 0 8px;
	height: 18px;
	width: 1px;
	background-color: rgba(255,255,255,0.5);
}
.table-list .tb-li .more-btn{
	position: absolute;
	z-index: 4;
	right: 0;
	bottom: 0;
	width: 50px;
	height: 50px;
}
.table-list .tb-li .more-btn:before{
	content: '';
	position: absolute;
	right: 6px;
	bottom: 6px;
	border-left: 14px solid transparent;
	border-bottom: 14px solid rgba(0,0,0,0.2);
}
/* 过滤桌显示 */
.table-list .tb-li.no-match{
	display: none;
}
/* 不可开桌 */
.table-list .tb-li.has-situ .max-guest{
	display: none;
}
/* 锁桌 */
.table-list .tb-li.block:before{
	background-color: #a4a4a4;
}
/* 开桌 */
.table-list .tb-li.open:before{
	background-color: #ea9c30;
}
/* 开桌 */
.table-list .tb-li.opened:before{
	background-color: #f60;
}
/* 拼桌 */
.table-list .tb-li.open.combine-tb:before{
	background-color: #e86668;
}
/* 预结账 */
.table-list .tb-li.preout:before{
	background-color: #91b22f;
}
.table-list .tb-li.main-tb .top-line .left-i:before,
.table-list .tb-li.sub-tb .top-line .left-i:before
{
	float: left;
	content: '';
	position: relative;
	margin: 7px 4px 0;
	display: block;
	width: 20px;
	height: 6px;
	border-width: 2px 0 2px 0;
	border-style: solid;
	border-color: #fff;
}
.table-list .tb-li.sub-tb .top-line .left-i:before{
	border-bottom: 0;
}
.table-list .tb-li.active{
	border-color: #a19fa0;
	background-color: #a19fa0;
}
.table-list .tb-li.cb-active .hm-ok{
	display: block;
}
/* 桌号详情弹层 */
.table-wrap{
	overflow: hidden;
	width: 100%;
	box-sizing: border-box;
}
.table-wrap .box-for-scropll{
	position: relative;
	flex: 1;
	width: 100%;
	box-sizing: border-box;
}
.table-wrap .diancai_con_left{
	z-index: 5;
	left: auto;
	right: 0;
	padding-bottom: 0;
	transform: translateX(375px);
	transition: all 0.5s ease;
	backface-visibility: hidden;
}
.table-wrap.open{
	padding-right: 370px;
}
.table-wrap.open .diancai_con_left{
	transform: translateX(0);
}

.table-wrap .cd_but{
	transform-origin: center center;
	right: auto;
	left: -60px;
	border-radius: 30px 0 0 30px;
}
.table-wrap .cd_but div{
	transform:rotate(180deg) translate(24px,0px)
}
.table-wrap.open .cd_but div{
	transform: translate(-24px,0px)
}

.table-detail{
	display: flex;
	display: -webkit-flex;
	flex-direction: column;
	height: 100%;
}
.table-detail .info-box1{
	padding: 20px 30px 10px;
	min-height: 144px;
	background-color: #f5f6f8;
	box-sizing: border-box;
}
.info-box1 .p-tb-num{
	font-size: 20px;
	font-weight: bold;
	line-height: 40px;
	color: #333;
}
.info-box1 .p-od-num .real-od{
	padding-top: 10px;
	font-size: 18px;
	line-height: 1;
	color: #333;
}
.info-box1 .p-od-num .combine-od-list{
	position: relative;
	margin-top: 9px;
	font-size: 14px;
	line-height: 20px;
	max-height: 100px;
	overflow-y:auto; 
	color: #999;
}
.info-box1 .p-time{
	padding-top: 8px;
	font-size: 18px;
	line-height: 38px;
}
.info-box2{
	display: flex;
	flex-direction: column;
	flex: 1;
	background-color: #fff;
}
.info-box2 .flex-li{
	position: relative;
	display: flex;
	display: -webkit-flex;
	align-items: center;
}
.info-box2 .list-title{
	position: relative;
	padding: 0 30px;
	font-size: 16px;
	font-weight: bold;
	height: 42px;
	color: #333;
}
.info-box2 .m-name{
	flex: 1;
}

.info-box2 .m-name .info{
	font-size: 14px;
	line-height: 20px;
	color: #999;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}
.info-box2 .m-number{
	width: 56px;
	text-align: right;
}
.info-box2 .m-price{
	width: 88px;
	text-align: right;
}
.info-box2 .color-p{
	color: #e4393c;
}
.info-box2 .gray-s{
	color: #999;
}
.info-box2 .white-s{
	color: #fff
}
.info-box2 .menu-list{
	flex: 1;
}
.info-box2 .menu-list .menu-scroll-wrap{
	position: relative;
}
.info-box2 .for-scroll{
	position: relative;
	padding: 0 30px;
}
.info-box2 .list-box{
	padding: 13px 0;
}
.info-box2 .list-box .dot:after{
	position: absolute;
	top: 50%;
	left: -20px;
	transform: translateY(-50%);
	content: "";
	width: 10px;
	height: 10px;
	border-radius: 50%;
	background-color: #ccc;
}
.info-box2 .list-box .dot.new:after{
	background-color: #4d88c4;
}

.info-box2 li{
	font-size: 18px;
	line-height: 21px;
	padding: 7px 0;
}
.info-box2 .sub-total{
	padding: 13px 0 12px;
	color: #666;
	line-height: 30px;
}
.info-box2 .total-price{
	font-size: 18px;
	font-weight: bold;
	line-height: 38px;
	padding: 10px 0;
	margin: 0 30px;
}
.info-box2 .total-price .m-price,
.info-box2 .sub-total .m-price{
	width: 144px;
}
.table-detail .btn-box{
	padding: 5px;
	background-color: #f5f6f8;
}

.table-detail .btn-box .mui-btn{
	float: left;
	margin: 5px;
	width: 170px;
}

.table-detail .btn-box .tri-down{
	display: inline-block;
	border-left: 7px solid transparent;
	border-right: 7px solid transparent;
	border-top: 10px solid #686f78;
}
.btn-h{
	height: 60px;
	padding: 6px 12px;
	line-height: 44px;
	font-size: 20px;
	color: #333;
	border: 2px solid #e5e5e5;
	text-align: center;
}
.btn-h i{
	font-size: 22px;
	margin-right: 12px;
	color: #686f78;
	top: -2px;
}
.btn-h:disabled,
.btn-h.disabled{
	opacity: 0.6
}

/*更多操作*/
.more-btn-box{
	padding: 5px 0;
	background-color: #f5f6f8;
}
.more-btn-box .btn-h{
	float: left;
	margin: 5px;
	border-radius: 5px;
	background-color: #fff;
}
.more-btn-box .btn-half{
	width: 170px;
}
.more-btn-box .btn-block{
	width: 350px;
}
.more-btn-box .btn-h.btn-for-open{
	background-color: #4d88c4;
	border-color: #4D88C4;
}
.more-btn-box .btn-h.btn-for-open:before{
	border-color: #4D88C4;
}
.more-btn-box .btn-h.btn-for-order{
	background-color: #e86668;
	border-color: #e86668;
}
.more-btn-box .btn-h.btn-for-pay{
	background-color: #ea9c30;
	border-color: #ea9c30;
}
.more-btn-box .w1 .btn-h.disabled,
.more-btn-box .w1 .btn-h:disabled{
	opacity: 1;
	background-color: #ccc;
	border-color: #ccc;
}
.more-btn-box .wrap1{
	padding: 5px 9px;
	width: 378px;
}
.more-btn-box .wrap1.w1{
	padding-bottom: 0;
}
.more-btn-box .color-wrap .btn-h{
	color: #fff;
}
.more-btn-box .color-wrap .btn-h i{
	color: #fff;
}
/*开桌弹层*/
.cont-open{
	padding: 20px;
}
.cont-open .basic-info{
	display: flex;
	width: 520px;
}
.cont-open .bs-left{
	flex: 1;
}
.cont-open .bs-li{
	position: relative;
	display: flex;
	font-size: 18px;
	line-height: 45px;
	margin-bottom: 15px;
}
.cont-open .bs-li:last-child{
	margin-bottom: 0;
}
.cont-open .bs-txt{
	width: 92px;
	font-weight: bold;
	color: #666
}
.cont-open .bs-value{
	flex: 1;
	color: #333
}
.cont-open .bs-li.remark{
	margin-top: 15px;
	margin-bottom: 0;
}
.cont-open .seats{
	font-size: 16px;
}
.cont-open input,
.cont-open textarea{
	vertical-align: top;
	height: 45px;
	box-sizing: border-box;
	border: 0;
	margin: 0;
}
.cont-open .num-inp{
	float: left;
	width: 82px;
	margin-right: 10px;
}
.cont-open .num-inp input,
.cont-open input.number{
	font-size: 24px;
	line-height: 1;
}
.cont-open .bs-right{
	margin-left: 20px;
}
.cont-open .bs-bot{
	margin-top: 15px;
}
/*键盘弹层*/
.cont-open .keypad-pop,
.cont-open .keypad-pop.basic-info{
	width: 330px;
}

.cont-open .keypad-pop .keypad{
	width: 100%;
	height: 240px;
}
.cont-open .keypad{
	display: flex;
	display: -webkit-flex;
	flex-wrap: wrap;
	-webkit-flex-wrap: wrap;
	min-width: 228px;
	height: 225px;
}
.cont-open .key-btn{
	display: flex;
	align-items: center;
	justify-content: center;
	width: 33.3%;
	height: 25%;
	font-size: 	24px;
	text-align: center;
	color: #333;
	background-color: #f5f5f5;
}
.cont-open .key-btn:active{
	background-color: #eee;
}
.cont-open .key-btn.b3{

}
.cont-open .key-btn.backsp{
	font-size: 30px;
	color: #999;
}
.cont-open .key-btn.backsp i{
	pointer-events: none;
	top: -2px;
}
.cont-open .key-btn.reset{
	font-size: 20px;
}
.mui-popover .mui-scroll-wrapper{
	margin: 0;
	border-radius: 0;
}
.mui-popover .mui-table-view{
	max-height: none;
}
.cont-open .sele-list-h{
	top:auto;
	max-height: 208px;
	bottom: 50px;
}
.cont-open .pop-select .hm-angle-down{
	right: 10px;
	font-size: 14px;
	margin-top: -7px;
}
.cont-open .form_submit button:first-child{
	margin-left: 32px;
}
.form_submit .btn-h2{
	background-color: #e86668;
}
.form_submit .btn-h3{
	background-color: #bdc1ca;
}
/*拼台转台弹层*/
.cont-combine{
	width: 90vw;
	max-width: 686px;
}
.pop-tb-cont .filter-scrollX{
	padding: 13px 0;
}
.pop-tb-cont .filter-scrollX .scroll-btn .li-btn{
	height: 42px;
	margin: 0 7px;
	line-height: 28px;
}
.pop-tb-cont .filter-scrollX .scroll-btn{
	padding: 7px 20px;
}
.pop-tb-cont .filter-scrollX .filter-bar{
	height: 56px;
	margin: 0;
}
.pop-tb-cont{
	padding-bottom: 20px;
}
.pop-tb-cont .form_submit{
	margin-top: 37px;
}
.form_submit.mt20{
	margin-top: 20px;
}
.pop-tb-cont .box-for-scropll{
	position: relative;
	height: 300px;
}
.pop-tb-cont .table-list .tb-li{
	height: 100px;
	border: 0;
	width: 154px;
	margin: 5px;
}
.pop-tb-cont .tb-li input{
	position: absolute;
	width: 100%;
	height: 100%;
	z-index: 20;
	opacity: 0;
}
.pop-tb-cont .tb-li input:checked+.top-line .hm-ok{
	display: block;
}
.pop-tb-cont .tb-li .bot-line{
	padding: 10px;
	line-height: 16px;
}
/* 餐厅页面-end */
/*结账账单 -start*/
.bill-btn-wrap {
	padding: 12px 20px;
	background-color: #333e50;
}
.bill-btn-wrap .check-box-h{
	height: 50px;
}
.btn-bill{
	position: relative;
	float: left;
	display: flex;
	margin-left: 10px;
	padding: 0 20px;
	font-size: 20px;
	line-height: 50px;
	color: #333;
	background-color: #fff;
	border-radius: 8px;
}
.bill-btn-wrap .btn-bill:first-child{
	margin-left: 0;
}
.btn-bill .hm-ok{
	display: none;
	position: absolute;
	top: 3px;
	left: 3px;
	width: 18px;
	height: 18px;
	font-size: 12px;
	color: #fff;
	text-align: center;
	line-height: 18px;
	background-color: #4d88c4;
	border-radius: 9px;
}
.btn-bill.active{
	background-color: #dbe7f3;
}
.btn-bill.active .hm-ok{
	display: block;
}
.bill-cont{
	position: relative;
	padding-right: 395px;
}
.order-bill-l{ 
	flex: 1;
	background-color: rgba(51,62,80,0.7);
}
.order-bill-l.table-detail .info-box1{
	padding: 10px 20px;
	font-size: 15px;
	line-height: 28px;
	min-height: 0;
}
.order-bill-l.table-detail .info-box2{

}
.order-bill-l.table-detail .info-box2 .list-title{
	color: #fff
}
.order-bill-l .info-box2 .m-number{
	width: 44px;
}
.order-bill-l .info-box2 .m-per{
	text-align: center;
	width: 95px;
	padding-left: 15px;
}
.order-bill-l .info-box2 .list-box .m-per{
	color: #999;
}
.order-bill-l .info-box2 li{
	font-size: 14px;
	line-height: 20px;
}
.order-bill-l .info-box2 .sub-total li{
	line-height: 16px;
}
.order-bill-l .info-box2 .list-title .m-price,
.order-bill-l .info-box2 .list-box .m-price{
	width: 55px;
}
.order-bill-l .info-box2 .list-box,
.order-bill-l .info-box2 .sub-total{
	padding: 10px 0;
}
.order-bill-l .info-box2 .list-title,
.order-bill-l .info-box2 .for-scroll{
	padding: 0 20px;
}
.order-bill-l .info-box2 .total-price{
	margin: 0 20px;
}
.order-bill-l .info-box2 .sub-total{
	color: #999;
}
.order-bill-l .info-box2 .color-p{
	color: #ea9c30;
}
.order-bill-l.table-detail .info-box1,
.order-bill-l.table-detail .info-box2{
	color: #fff;
	background-color: transparent;
}
.order-bill-l .p-1{
	position:relative;
	padding-left: 48px;
	min-height: 28px;
}
.order-bill-l .p-1 span{
	position: absolute;
	top: 0;left: 0;
	width: 48px;
}
.order-bill-l .p-tb{
	font-weight: bold;
}
.order-bill-r{
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	display: flex;
	flex-direction: column;
	width: 395px;
}
/*总价格卡*/
.btn-h4{
	font-size: 14px;
	height: 28px;
	padding: 0 10px;
	border: 0;
	color: #e4393c;
}
.btn-h4:before{
	border-radius: 8px;
	border-color: #e4393c;
}
.bill-r-top{
	position: relative;
	flex: 1;
	margin: 20px;
}
.pay-card{
	padding: 0 20px;
	border-radius: 4px;
	color: #333;
	background-color: #fff;
}
.pay-card .flex-con{
	display: flex;
	align-items: center;
}
.pay-card .b-txt{
	flex: 1;
}
.pay-card .b-num{
	text-align: right;
	width: 100px;
}
.pay-card .pay-b1{
	height: 60px;
	font-size: 18px;
	line-height: 28px;
}
.pay-card .pay-b2{
	padding: 14px 0;
}
.pay-card .pay-b3{
	height: 57px;
}
.pay-card .pay-b3 .b-num{
	color: #e4393c;
}
.pay-card .b2-total{
	line-height: 33px;
}
.pay-card .b2-dt{
	font-size: 14px; 
	line-height: 31px;
	color: #666;
}
/*会员*/
.card-for-vip{
	display: flex;
	display: -webkit-flex;
	flex-direction: row;
	-webkit-flex-direction: row;
	margin-top: 10px;
	padding: 10px;
	border-radius: 4px;
	font-size: 16px;
	line-height: 42px;
	background-color: #fff;
}
.card-for-vip>div{
	flex: 1;
	-webkit-flex: 1;
	height: 42px;
}
.card-for-vip input{
	width: 100%;
	height: 42px;
	box-sizing: border-box;
	padding: 6px 10px;
	font-size: 16px;
	line-height: 30px;
	border: 0;
	background-color: #f8f8f8;
}
.card-for-vip button{
	margin-left: 10px;
	height: 42px;
	line-height: 42px;
	padding: 0 12px;
	border: 0;
}
.card-for-vip button .hm-weixin{
	font-size: 26px;
	margin-right: 6px;
	color: #0ec731;
}
.card-for-vip button:before,
.card-for-vip>div:before{
	border-radius: 8px;
}
.vip-active{
	margin-top: 10px;
	position: relative;
	padding: 10px;
	border-radius: 4px;
	background-color: #f8e5ba;
	font-size: 15px;
	color: #333;
	line-height: 24px;
}
.vip-active .depo{
	color: #e4393c;
}
.vip-active .p2{
	margin-top: 8px;
}
.vip-active .cancel-vip{
	position: absolute;
	padding: 0;
	border: 0;
	top: 10px;
	right: 10px;
	width: 50px;
	height: 24px;
	font-size: 14px;
	line-height: 24px;
	text-align: center;
	color: #fff;
	background-color: #e86668;
	border-radius: 4px;
}
/*模拟键盘*/
.bill-keypad .inp-bar{
	padding: 0 20px;
}
.bill-keypad .inp-bar input{
	margin: 0;
	width: 100%;
	height: 60px;
	padding: 10px 20px;
	border-radius: 4px;
	font-size: 30px;
	font-weight: bold;
	line-height: 40px;
	box-sizing: border-box;
	color: #333;
	background-color: #fff;
}
.bill-keypad .keypad-con{
	margin: 4px 16px 0;
	padding-bottom: 16px;
	width: 363px;
}
.bill-keypad .kp-btn{
	position: relative;
	padding: 0;
	margin: 4px;
	border-radius: 4px;
	height: 57px;
	border: 0;
	text-align: center;
}
.bill-keypad .kp-btn span{
	display: block;
}
.bill-keypad .w-keys{
	background-color: #fff;
	color: #333;
}
.bill-keypad .r-keys{
	font-size: 20px;
	position: relative;
	background-color: #e86668;
	color: #fff;
}
.bill-keypad .r-keys .hm-ok{
	position: absolute;
	top: 3px;
	left: 3px;
	width: 18px;
	height: 18px;
	font-size: 12px;
	color: #e86668;
	text-align: center;
	line-height: 18px;
	background-color: #fff;
	border-radius: 9px;
}
.bill-keypad .type-btn-wrap{
	width: 108px;
}
.bill-keypad .type-btn-wrap .kp-btn{
	width: 100px;
}
.bill-keypad .offline{
	font-size: 18px;
	color: #fff;
	background-color: #333e50;
}
.bill-keypad .offline:before,
.bill-keypad .online:before{
	content: none;
	top: -2px;
	left: -2px;
	box-sizing: content-box;
	border-radius: 12px;
	border-width: 4px;
	border-color: #ccc;
}
.bill-keypad .offline.active:before,
.bill-keypad .online.active:before{
	content: '';
}
.bill-keypad .online{
	font-size: 20px;
	color: #fff;
	background-color: #4d88c4;
}
.bill-keypad .cancel{
	font-size: 20px;
	color: #e4393c;
	border-radius: 4px;
	background-color: #fdeff0;
}		
.bill-keypad .cancel:before{
	border-radius: 8px;
	border-color: #e4393c;
}	
.bill-keypad .keypad-btn-wrap{
	width: 255px;
}
.bill-keypad .keypad-btn-wrap .kp-btn{
	float: left;
	font-size: 24px;
	width: 77px;
}
.bill-keypad .control-btn-box{
	display: flex;
}
.bill-keypad .control-btn-box .kp-p{
	flex: 1;
}
.bill-keypad .control-btn-box .kp-btn{
	font-size: 20px;
}
.bill-keypad .control-btn-box .kp-btn.backsp{
	font-size: 30px;
	color: #999;
}	
.bill-keypad .control-btn-box .backsp i{
	top: -2px;
}
.bill-keypad .control-btn-box .kp-btn.cancel{
	width: 162px;
}
.bill-keypad .kp-btn.confirm-pay{
	height: 122px;
	color: #fff;
	font-size: 24px;
	line-height: 1;
	background-color: #ea9c30;
}
.bill-keypad .kp-btn.confirm-pay i{
	font-size: 30px;
	margin-bottom: 11px;
}

/*挂单弹层*/
.cont-record{
	padding: 20px;
}
.cont-record .search-bar{
	display: flex;
	min-width: 520px;
	position: relative;
}
.cont-record .search-bar .inp-b{
	flex: 1;
}
.cont-record .search-bar input{
	padding: 10px 10px 10px 40px;
	border: 0;
	width: 100%;
	font-size: 18px;
	line-height: 28px;
	height: 48px;
	box-sizing: border-box;
	background-color: #f8f8f8;
}
.cont-record .search-bar .for-room{
	padding-left: 20px;
}
.cont-record .search-bar .hm-search-1{
	position: absolute;
	top: 50%;
	left: 10px;
	font-size: 24px;
	color: #ccc;
	transform: translateY(-50%);
	pointer-events: none;
}
.cont-record .search-bar .inp-b:before{
	border-radius: 8px;
}
.cont-record .search-bar button{
	margin-left: 10px;
	border-radius: 4px;
	border: 0;
	font-size: 24px;
	line-height: 1;
	height: 48px;
	width: 100px;
	color: #fff;
	background-color: #333e50;
}
.cont-record .search-bar .ch-btn{
	width: auto;
	background-color: #e86668;
}
.cont-record .r2 .txt-bg{
	padding: 10px 0 10px 72px;
}
.cont-record .r2-radio{
	margin-top: 20px;
	height: 285px;
}
.cont-record .r2-radio .check-box-h{
	height: 72px;
}

/*免单弹层*/
.cont-free{
	width: 560px;
	text-align: center;
}
.cont-free .p-1{
	padding: 56px 30px 36px;
	font-size: 24px;
	line-height: 32px;
}
/*作废弹层*/
.cont-delete{
	padding: 20px;
}
.cont-delete .r2-radio{
	height: 60px;
}
.cont-invoice textarea{
	height: 105px;
	resize: none;
}
.cont-invoice .bs-li:last-child{
	margin-bottom: 0;
}
.cont-invoice.cont-open .form_submit button:first-child{
	margin-left: 10px;
}
/*备注弹层*/
.cont-remark{
	padding: 20px;
}
.cont-remark .text-box textarea{
	margin-bottom: 0;
	border: 0;
	font-size: 18px;
	line-height: 28px;
	padding: 15px 10px;
	height: 105px;
	width: 520px;
	box-sizing: border-box;
}
/*手动优惠弹层*/
.cont-change-offer{
	background-color: #fff;
	width: 320px;
}
.cont-change-offer .bs-li .bs-txt{
	width: 110px;
}
.cont-change-offer .form_submit{
	margin-top: 10px;
	text-align: left;
}
.cont-change-offer.cont-open .form_submit button{
	margin-left: 110px;
	width: 120px;
}
/*优惠券列表-原样式.w_style.css*/
.add_form.coupon-cont .check_list{
	width: 540px;
}
.add_form.coupon-cont .check_list label{
	width: 255px;
}
/*结账账单-end*/

/*历史记录(订单列表)-start*/
.history-order-list{
	padding: 10px 30px 0;
}
.type-tab-bar{
	position: relative;
	display: flex;
}
.type-tab-bar:before{
	content: '';
	position: absolute;
	bottom: 0;
	width: 100%;
	border-bottom: 2px solid #e5e5e5;
}
.type-tab-bar .tab-btn{
	position: relative;
	z-index: 2;
	width: 130px;
	font-size: 22px;
	line-height: 46px;
	text-align: center;
	color: #333;
	margin-right: 30px;
	border-bottom: 4px solid transparent;
}
.type-tab-bar .tab-btn.active{
	font-weight: bold;
	color: #4d88c4;
	border-bottom-color: #4d88c4;
}

.filter-bar-t-inp{
	display: flex;
	padding: 15px 0;
	align-items: center;
}
.filter-bar-t-inp .sele-ft{
	padding-right: 28px;
	font-size: 18px;
	line-height: 40px;
	color: #333;
	box-sizing: border-box;
}
.filter-bar-t-inp .sele-ft span,
.filter-bar-t-inp .sele-ft select{
	padding-left: 10px;
	display: block;
	width: 100%;
	box-sizing: border-box;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}
.filter-bar-t-inp .sele-ft select{
	padding: 0;
	padding-left: 10px;
	font-size: inherit;
	line-height: inherit;
	margin: 0; 
	background-color: inherit;
  appearance:none;
  -moz-appearance:none;
  -webkit-appearance:none;
	
}
.filter-bar-t-inp .sele-ft option{
	border: 0;
  appearance:none;
  -moz-appearance:none;
  -webkit-appearance:none;
}
.filter-bar-t-inp .shop-ft{
	width: 200px;
	margin-right: 10px;
}
.filter-bar-t-inp .time-ft{
	width: 160px;
	margin-right: 38px;
}
.filter-bar-t-inp .sele-ft .VVfont{
	position: absolute;
	right: 10px;
	font-size: 16px;
	color: #999;
	line-height: inherit;
}
.filter-bar-t-inp .search-inp-bar{
	position: relative;
	flex: 1;
	height: 40px;
}
.filter-bar-t-inp .search-inp-bar:before{
	border-radius: 8px;
}
.search-inp-bar input{
	width: 100%;
	padding: 6px 40px 6px 38px;
	box-sizing: border-box;
	font-size: 18px;
	color: #333;
	border:0;
	line-height: 28px;
}
.search-inp-bar .VVfont{
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
}
.search-inp-bar .VVfont.hm-search-1{
	font-size: 18px;
	left: 12px;
	color: #999;
	pointer-events: none;
}
.search-inp-bar .VVfont.hm-wrong{
	right: 10px;
	width: 24px;
	height: 24px;
	font-size: 10px;
	text-align: center;
	line-height: 24px;
	border-radius: 12px;
	color: #fff;
	background-color: #ccc;
}

.flex-table{
	flex: 1;
	display: flex;
	flex-direction: column;
} 
.tb-scroll{
	position: relative;
	flex: 1;
	margin-bottom: 30px;
	overflow: hidden;
}
.table-scroll-wrap{
	position: relative;
}
.tb-scroll .mui-scroll-wrapper{
	background-color: #fff;
}
.tb-scroll .mui-scroll:before{
	border: 1px solid #e5e5e5;
	border-top: none;
}
.tb-scroll .mui-scroll .borderList:first-of-type:before{
	border-top: 1px solid #e5e5e5;
}
.rep-list{
	padding-bottom: 24px;
}
.rep-reason{
	margin: 2px 10px 0;
	padding:11px 10px;
	font-size: 14px;
	line-height: 20px;
	color: #828890;
	background-color: #f1f6fa;
}
/*理由弹层*/
.cont-reason{
	padding: 10px 20px 20px;
	width: 560px;
	box-sizing: border-box;
}
.cont-reason .p-1{
	position: relative;
}
.cont-reason .p-2{
	margin-top: 10px;
	height: 60px;
}
.cont-reason .p-2 input{
	border: 0;
	font-size: 18px;
	height: 60px;
	box-sizing: border-box;
}
/*详情弹层*/
.cont-order-detail{
	width: 560px;
}	
.cont-order-detail .for-scroll{
	position: relative;
}
.cont-order-detail .dish-list .p-1{
	display: flex;
	align-items: center;
	padding-left: 20px;
	height: 46px;
}
.cont-order-detail .dish-list .p-2{
	padding-left: 50px;
	padding-bottom: 7px;
}
.cont-order-detail li{
	padding: 7px 0;
	margin-right: 10px;
}
.cont-order-detail .check-box-h{
	flex: 1;
	font-size: 18px;
	color: #666;
}
.cont-order-detail li .check-box-h label{
	flex: 1;
}
.cont-order-detail .check-box-h input{
	margin-right: 20px;
}
.cont-order-detail .check-box-h input[type="checkbox"]:before{
	border-color: #e5e5e5;
}
.cont-order-detail .check-box-h input[type="checkbox"]:checked:before{
	border-color: #ed6168;
	background-color: #ed6168;
}
.cont-order-detail .check-box-h input[type="checkbox"]:checked+span{
	color: inherit;
	font-weight: normal;
}
.cont-order-detail li button{
	font-size: 16px;
	width: 70px;
	height: 38px;
	border: 0;
}
.cont-order-detail li .stt{
	width: 117px;
	text-align: center;
	font-size: 16px;
	color: #333;
}
.cont-order-detail li .stt.re{
	color: #999;
}
.cont-order-detail .form_submit{
	position: relative;
}
.cont-order-detail .form_submit .check-box-h{
	position: absolute;
	z-index: 2;
	left: 20px;
	top: 50%;
	transform: translateY(-50%);
}
.cont-order-detail .diancai_list > li{
	padding-left: 20px;
	margin-right: 0;
}
.cont-order-detail .diancai_list > li:before{
	width: 200%;
	left: 0;
}
.cont-order-detail .diancai_list > li:after{
	display: none;
}
.cont-order-detail .diancai_list .d3{
	left: 366px;
}
/*历史记录(订单列表)-end*/
/*交班-start*/
.handover-tab{
	display: flex;
	flex-direction: column;
	flex: 1;
}
.ho-box-1 .statu{
	font-size: 18px;
	line-height: 40px;
	padding: 40px 0;
}
.ho-box-1 .statu .p{
	display: flex;
}
.ho-box-1 .statu .t{
	font-weight: bold;
	color: #999;
	width: 92px;
}
.ho-box-1 .statu .con{
	flex: 1;
	color: #333;
}
.ho-box-1 .statu .d-1{
	display: flex;
	width: 278px;
}
.ho-box-1 .statu .d-2{
	display: flex;
	flex: 1;
}
.title-h1{
	font-size: 18px;
	line-height: 1;
	font-weight: bold;
	color: #999;
}
.dt-col{
	width: 100%;
}
.dt-col tr{
	height: 60px;
	background-color: #fff;
}
.dt-col td:first-of-type{
	width: 174px;
	text-align: center;
	background-color: #fafafa;
}
.ho-box-1 .c-out-dt .dt-col{
	margin-top: 15px;
	background-color: #fff;
}
.ho-box-1 .dt-col td:nth-of-type(2){
	padding-left: 50px;
}
.handover-tab .form_submit{
	margin-top: 30px;
}
/*交班记录*/
.ho-box-2{
	display: flex;
	flex-direction: column;
	flex: 1;
	margin-top: 30px;
	margin-bottom: 30px;
}
.ho-his-table .borderList:before{
	border-top:0;
	border-bottom: 1px solid #e5e5e5;
}
.ho-his-table .tb-scroll{
	margin-bottom: 0;
}
.ho-his-table .time-p{
	padding-left: 20px;
	font-size: 14px;
	line-height: 32px;
	font-weight: bold;
	color: #828890;
	background-color: #f1f6fa;
}
.ho-his-table .tb-r{
	font-size: 16px;
	height: 60px;
}
.ho-his-table .tb-1{
	width: 20%;
	margin: 0;
	padding-left: 20px;
	padding-right: 10px;
	box-sizing: border-box;
	text-align: left;
}
.ho-his-table .tb-2{
	flex: auto;
	width: 30%;
	box-sizing: border-box;
	padding-right:10px;
	text-align:left;
}
.ho-his-table .tb-3{
	width: 18%;
	text-align: left;
}
.ho-his-table .tb-4{
	width: 11%;
	text-align: left;
}
.ho-his-table .tb-5{
	flex: 1;
	padding-right: 10px;
	box-sizing: border-box;
	text-align: right;
}
.ho-his-table .tb-5 button{
	width: 70px;
	height: 38px;
	border: 0;
	border-radius: 4px;
	color: #4d88c4;
}
.ho-his-table .tb-5 button:active{
	color: #fff;
}
.ho-his-table .tb-5 button:before{
	border-radius: 8px;
}
/*记录详情弹层*/
.cont-ho-dt{
	width: 560px;
	padding: 0 20px 20px;
}
.cont-ho-dt .ho-box-1 .statu{
	padding: 20px 0;
}
.cont-ho-dt .ho-box-1 .statu .d-1{
	width: 204px;
}
/*交班-end*/
/*授权码弹层*/
.cont-record.athrz-cont{
	padding: 40px 20px;
}
.cont-record.athrz-cont .search-bar input{
	height: 60px;
	padding-left: 20px;
	background-color: #fff;
}
.cont-record.athrz-cont .search-bar button{
	width: 170px;
	height: 60px;
}
/*修改密码/授权码弹层*/

.change-form{
	padding: 30px 70px 55px 20px;
	width: 560px;
	box-sizing: border-box;
}
.change-form .modify-bar{
	display: flex;
	font-size: 20px;
	margin-top: 20px;
}
.change-form .modify-bar .tt{
	color: #666;
	width: 150px;
	line-height: 60px;
	padding-right: 20px;
	text-align: right;
}
.change-form .modify-bar .inp-b{
	flex: 1;
}
.change-form .modify-bar input{
	height: 60px;
	line-height: 60px;
	padding-left: 18px;
	border: 0;
}
/*呼叫弹层*/

.calling-cont{
	width: 560px;
	background-color: #fff;
}
.calling-cont .for-scroll{
	position: relative;
}
.calling-list li{
	padding: 10px 0;
	height: 60px;
	display: flex;
	align-items: center;
	box-sizing: border-box;
}
.calling-list li a{
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 5;
}
.calling-list li a:active{
	background-color: rgba(0,0,0,0.1);
}
.calling-list .d1{
	width: 72px;
	text-align: center;
	font-size: 20px;
	font-style: italic;
	color: #ed6168;
}
.calling-list .d2{
	display: flex;
	align-items: center;
	flex: 1;
	font-size: 20px;
	color: #333;
}
.calling-list .d2 .call-tag{
	height: 28px;
	margin-left: 10px;
	padding: 0 6px;
	font-size: 16px;
	line-height: 28px;
	color: #ed6168;
}
.calling-list .d2 .call-tag:before{
	border-color: #ed6168;
	border-radius: 8px;
}
.calling-list .d3{
	padding: 0 20px;
	font-size: 16px;
	color: #999;
}
.popuo-msg{ bottom: 0 !important; -webkit-animation-duration:0s !important;animation-duration:0s !important;}
.lastClass{
	background-color: #97ddab;
}
